%define __libtoolize /bin/true
%define oname xfce4-sensors-plugin

Summary:	Sensor plugin for the Xfce panel
Name: 		xfce-sensors-plugin
Version: 	0.7.0
Release: 	1mdk
License:	BSD
URL: 		http://download.berlios.de/xfce-goodies/
Source0: 	xfce4-sensors-plugin-%{version}.tar.bz2
Patch1:		xfce4-sensors-plugin-0.7.0-command.patch.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= 4.0.1 
Requires:       lm_sensors
BuildRequires:	xfce-panel-devel >= 4.1.99.1
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:  lm_sensors-devel
 
%description
A panel plugin for the Xfce panel. 
Reads your hardware sensor values and displays them in your panel.

%prep
%setup -q -n %{oname}-%{version}
%patch1 -p1 -b .command

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/panel-plugins/*.*a 

%find_lang %{oname}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/xfce4/panel-plugins/*


%changelog
* Wed Sep 15 2005 Marcel Pol <mpol@mandriva.org> 0.7.0-1mdk
- 0.7.0
- rediff P1

* Wed Sep 15 2005 Marcel Pol <mpol@mandriva.org> 0.5.1-2mdk
- Patch1: use sensors command, partially fixes #18563
- fix license: GPL, not BSD

* Wed Jul 27 2005 Marcel Pol <mpol@mandrake.org> 0.5.1-1mdk
- 0.5.1
- don't run libtoolize
- add locale files

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.3.0-2mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files

* Mon Dec 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-1mdk
- 1st Mdk release


